Bug 30191 - Authority search result list in the OPAC should use 'record' instead of 'biblios'
Summary: Authority search result list in the OPAC should use 'record' instead of 'bibl...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-27 00:02 UTC by Katrin Fischer
Modified: 2022-06-17 03:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06


Attachments
Bug 30191: Authority search result list in the OPAC should use 'record' instead of 'biblios' (3.34 KB, patch)
2022-03-02 16:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30191: Authority search result list in the OPAC should use 'record' instead of 'biblios' (3.38 KB, patch)
2022-04-19 19:52 UTC, David Nind
Details | Diff | Splinter Review
Bug 30191: Authority search result list in the OPAC should use 'record' instead of 'biblios' (3.44 KB, patch)
2022-04-25 10:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-02-27 00:02:30 UTC
'biblios' is not a term users understand, we should use 'record' or 'records' like in the staff interface.
Comment 1 Owen Leonard 2022-03-02 16:30:15 UTC
Created attachment 131285 [details] [review]
Bug 30191: Authority search result list in the OPAC should use 'record' instead of 'biblios'

This patch updates the OPAC authority search results page so that it
uses the term "record" instead of "biblio."

The patch also changes how the template outputs the count of records so
that it is correctly pluralized, e.g. "1 record" vs. "2 records."

To test, apply the patch and perform an authority search in the OPAC.

In the search results, confirm that the last table header reads
"Records." The information in that column should be correct, using the
word record or records.
Comment 2 Alissa de Saint Laurent 2022-03-30 12:09:33 UTC
Test ok.
For the translation (for exemple in french) : can we distinguish 
0 records / 2 (or more) records ? In french, we don't the plural 
when there is none.
Comment 3 Katrin Fischer 2022-03-31 12:10:40 UTC
Yes, it technically possibly now to do singular/plural and we already do in some places like the circ dashboard on the OPAC start page when you are logged in.
Comment 4 Séverine Queune 2022-03-31 12:48:09 UTC
(In reply to Katrin Fischer from comment #3)
> Yes, it technically possibly now to do singular/plural and we already do in
> some places like the circ dashboard on the OPAC start page when you are
> logged in.

So can we imagine having 3 different strings here to fit the behaviour of different languages :
 - '0 records' which will be '0 notice' in french
 - '1 record' which will be '1 notice' 
 - '2 records' which will be '2 notices'
?

Is it the same problematic in German Cait ?
Comment 5 Katrin Fischer 2022-03-31 20:33:01 UTC
I believe that the translation tools take care of this. At least there is some configuration about plural forms for each language in administration:

French language
Number of plurals: 2
Plural equation: (n > 2)

German language
Number of plurals: 2
Plural equation: (n != 1)

In German we use the same for 0 and more than 1, so that makes sense:

0 Datensätze
1 Datensatz
2 Datensätze

https://translate.koha-community.org/fr/21.11/translate/fr-FR-messages.po#search=checkouts&sfields=source,target
Comment 6 Katrin Fischer 2022-03-31 20:35:19 UTC
Oh, Slovenian:
Number of plurals: 4
Plural equation: (n%100==1 ? 0 : n%100==2 ? 1 : n%100==3 || n%100==4 ? 2 : 3)

And pootle indeed offers 4 input fields:
https://translate.koha-community.org/sl/21.11/translate/#search=checkouts&sfields=source,target&unit=21107590&offset=0
Comment 7 David Nind 2022-04-19 19:52:47 UTC
Created attachment 133418 [details] [review]
Bug 30191: Authority search result list in the OPAC should use 'record' instead of 'biblios'

This patch updates the OPAC authority search results page so that it
uses the term "record" instead of "biblio."

The patch also changes how the template outputs the count of records so
that it is correctly pluralized, e.g. "1 record" vs. "2 records."

To test, apply the patch and perform an authority search in the OPAC.

In the search results, confirm that the last table header reads
"Records." The information in that column should be correct, using the
word record or records.

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 Katrin Fischer 2022-04-25 10:21:37 UTC
Created attachment 133728 [details] [review]
Bug 30191: Authority search result list in the OPAC should use 'record' instead of 'biblios'

This patch updates the OPAC authority search results page so that it
uses the term "record" instead of "biblio."

The patch also changes how the template outputs the count of records so
that it is correctly pluralized, e.g. "1 record" vs. "2 records."

To test, apply the patch and perform an authority search in the OPAC.

In the search results, confirm that the last table header reads
"Records." The information in that column should be correct, using the
word record or records.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Fridolin Somers 2022-04-25 20:01:37 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 10 Kyle M Hall 2022-05-06 14:59:35 UTC
Pushed to 21.11.x for 21.11.06
Comment 11 Victor Grousset/tuxayo 2022-06-17 03:10:00 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.